const mockRoutesResource = [
  {
    path: '/home',
    component: 'Home',
    name: 'home',
    meta: {
      icon: 'home',
      title: '首页',
      keepAlive: true,
    },
  },
  {
    path: '/sideTabs',
    component: 'sideTabs/index',
    name: 'sideTabs',
    meta: {
      icon: 'github',
      title: '侧边栏tab标签',
      keepAlive: true,
    },
  },
  {
    path: '/oneLevelMenu',
    name: 'oneLevelMenu',
    component: 'oneLevelMenu/index',
    meta: {
      icon: 'table',
      title: '一级菜单页面',
    },
  },
  {
    path: '/list',
    component: 'layouts/BlankLayout',
    name: 'list',
    meta: {
      icon: 'table',
      title: '多级菜单',
    },
    children: [
      {
        path: '/list/basic-list',
        component: 'list/StandardList',
        meta: {
          title: '二级菜单页',
        },
        name: 'list-basic-list',
      },
      {
        path: '/list/search',
        component: 'layouts/BlankLayout',
        children: [
          {
            path: '/list/search/application',
            component: 'list/TableList',
            meta: {
              title: '三级菜单页',
            },
            name: 'list-search-application',
          },
        ],
        meta: {
          title: '二级菜单',
        },
        name: 'list-search',
      },
    ],
  },
  {
    hidden: true,
    path: '/account',
    component: 'layouts/BlankLayout',
    name: 'account',
    meta: {
      icon: 'user',
      title: '个人页',
    },
    children: [
      {
        path: '/account/center',
        component: 'account/Center',
        name: 'account-center',
        meta: {
          title: '个人中心',
        },
      },
      {
        alwaysShow: true,
        path: '/account/settings',
        redirect: '/account/settings/notification',
        component: 'layouts/BlankLayout',
        name: 'account-settings-Index',
        meta: {
          title: '个人设置',
        },
        children: [
          {
            path: '/account/settings/notification',
            component: 'account/settings/Notification',
            name: 'account-settings-notification',
            meta: {
              title: '新消息通知',
            },
          },
          {
            path: '/account/settings/base-setting',
            component: 'account/settings/BaseSetting',
            name: 'account-settings-base',
            meta: {
              title: '基本设置',
            },
          },
          {
            path: '/account/settings/binding',
            component: 'account/settings/Binding',
            name: 'account-settings-binding',
            meta: {
              title: '账户绑定',
            },
          },
          {
            path: '/account/settings/security',
            component: 'account/settings/Security',
            name: 'account-settings-security',
            meta: {
              title: '安全设置',
            },
          },
          {
            path: '/account/settings/custom',
            component: 'account/settings/Custom',
            name: 'account-settings-custom',
            meta: {
              title: '个性化设置',
            },
          },
        ],
      },
    ],
  },
  {
    alwaysShow: true,
    path: '/profile',
    component: 'layouts/BlankLayout',
    name: 'profile',
    meta: {
      icon: 'profile',
      title: '路由聚合',
      // keepAlive: true,
    },
    children: [
      {
        path: '/profile/basic',
        component: 'profile/Basic',
        name: 'profile-basic',
        meta: {
          title: '子路由1',
        },
      },
      {
        path: '/profile/advanced',
        component: 'profile/Advanced',
        name: 'profile-advanced',
        meta: {
          title: '子路由2',
        },
      },
    ],
  },
  {
    path: '/desform',
    component: 'layouts/BlankLayout',
    meta: {
      icon: 'gold',
      title: '列表页跳详情页',
      redirectDefaultChild: true,
    },
    children: [
      {
        path: '',
        component: 'modules/online/desform/DesignFormList',
        name: 'online-desform',
        meta: {
          keepAlive: true,
          title: '列表页',
        },
      },
      {
        path: '/desform/:id',
        component: 'modules/online/desform/DesignFormTempletList',
        name: 'online-desformTemplate',
        meta: {
          title: '详情页',
        },
      },
    ],
  },
  {
    path: '/list2detail',
    component: 'layouts/BlankLayout',
    name: 'list2detail',
    meta: {
      title: '列表页跳详情页2',
      icon: 'gold',
    },
    children: [
      {
        path: '/list2detail/menu2',
        component: 'layouts/BlankLayout',
        meta: {
          title: '二级菜单',
          redirectDefaultChild: true,
        },
        children: [
          {
            path: '',
            component: 'modules/online/desform/DesignFormList',
            name: 'list2detail-menu2-online-desform',
            meta: {
              keepAlive: true,
              title: '列表页',
            },
          },
          {
            path: '/list2detail/menu2/:id',
            component: 'modules/online/desform/DesignFormTempletList',
            name: 'list2detail-menu2-online-desformTemplate',
            meta: {
              title: '详情页',
            },
          },
        ],
      },
    ],
  },
  {
    path: '/bing',
    component: 'layouts/BlankLayout',
    name: 'bing',
    meta: {
      title: '必应首页',
      url: 'https://cn.bing.com/',
      icon: 'table',
    },
  },
  {
    path: '/dashboard',
    component: 'layouts/BlankLayout',
    name: 'dashboard3',
    meta: {
      icon: 'dashboard',
      title: '系统监控',
    },
    children: [
      {
        path: '/baidu',
        component: 'layouts/BlankLayout',
        name: 'baidu',
        meta: {
          title: '百度跳转',
          url: 'http://www.baidu.com',
        },
      },
      {
        path: '/isps/userAnnouncement',
        component: 'title/index',
        name: 'isps-userAnnouncement',
        meta: {
          title: '我的消息',
        },
      },
    ],
  },
]

const buttonAuth = [
  {
    action: 'user:add',
    describe: '添加用户',
    type: 1,
  },
  {
    action: 'user:edit',
    describe: '编辑用户',
    type: 1,
  },
]

module.exports = {
  mockRoutesResource,
  buttonAuth,
}
