import request from '@/utils/request'
const urls = {
  login: '/user/login', // 登录接口
  getUserPermission: '/permission/getUserPermissionByToken', // 获取权限接口
  getUserInfo: '/user/info', // 获取用户信息
}

export const login = params => {
  return request({
    url: urls.login,
    method: 'post',
    data: params,
  })
}

export const getUserPermission = () => {
  return request({
    url: urls.getUserPermission,
    method: 'get',
  })
}

export const getUserInfo = () => {
  return request({
    url: urls.getUserInfo,
    method: 'get',
  })
}
