import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'

import Storage from 'vue-ls'

import './utils/lazy/lazyAntd'
import './assets/icons'
import defaultSettings from '@/config/defaultSettings'
import auth from '@/utils/permission'

/**
 * If you don't want to use mock-server
 * you want to use MockJs for mock api
 * you can execute: mockXHR()
 *
 * Currently MockJs will be used in the production environment,
 * please remove it before going online ! ! !
 */
if (process.env.NODE_ENV === 'production') {
  const { mockXHR } = require('../mock')
  mockXHR()
}

Vue.use(Storage, defaultSettings.storageOptions)

Vue.directive('auth', auth)

new Vue({
  router,
  store,
  mounted() {
    // store.commit(
    //   "app/toggleFixedHeader",
    //   Vue.ls.get("fixedHeader", defaultSettings.fixedHeader)
    // );
    // store.commit(
    //   "app/toggleFixedSiderbar",
    //   Vue.ls.get("fixedSiderbar", defaultSettings.fixSiderbar)
    // );
    store.commit('app/toggleColor', Vue.ls.get('primaryColor', defaultSettings.primaryColor))
    store.commit('user/setToken', Vue.ls.get('token'))
    store.commit('app/toggleNavTheme', Vue.ls.get('navTheme', defaultSettings.navTheme))
    store.commit('app/setMultiTab', Vue.ls.get('multiTab', defaultSettings.multiTab))
  },
  render: h => h(App),
}).$mount('#app')
