import store from '@/store'

const disableClickFn = event => {
  event && event.stopImmediatePropagation()
}

export default {
  inserted(el, binding) {
    // if (store.state.user.isAdmin) return
    const { value } = binding
    const buttonAuth = store.state.user.buttonAuth
    if (buttonAuth && buttonAuth instanceof Array && value.length > 0) {
      const permissionRoles = value
      const hasPermission = buttonAuth.some(button => {
        return permissionRoles.includes(button)
      })

      if (!hasPermission) {
        // el.parentNode && el.parentNode.removeChild(el)
        el.setAttribute('disabled', 'disabled')
        el.classList.add('permission-disabled')
        el.addEventListener('click', disableClickFn, true)
      }
    } else {
      throw new Error(`need roles! Like v-auth="['add','editor']"`)
    }
  },
}
